Bug 1106091 - libx86: FTBFS in rawhide
Summary: libx86: FTBFS in rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libx86
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthew Garrett
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker ARM64, F-ExcludeArch-aarch64 F21FTBFS
TreeView+ depends on / blocked
 
Reported: 2014-06-09 02:29 UTC by Dennis Gilmore
Modified: 2014-07-08 05:58 UTC (History)
3 users (show)

Fixed In Version: libx86-1.1-18.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-08 05:58:09 UTC


Attachments (Terms of Use)
build.log (7.07 KB, text/plain)
2014-06-09 02:29 UTC, Dennis Gilmore
no flags Details
root.log (73.21 KB, text/plain)
2014-06-09 02:29 UTC, Dennis Gilmore
no flags Details
state.log (1.06 KB, text/plain)
2014-06-09 02:29 UTC, Dennis Gilmore
no flags Details
Patch for rawhide (1.44 KB, patch)
2014-06-19 23:33 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Dennis Gilmore 2014-06-09 02:29:20 UTC
Your package libx86 failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=6947801

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

Comment 1 Dennis Gilmore 2014-06-09 02:29:22 UTC
Created attachment 903855 [details]
build.log

Comment 2 Dennis Gilmore 2014-06-09 02:29:24 UTC
Created attachment 903856 [details]
root.log

Comment 3 Dennis Gilmore 2014-06-09 02:29:25 UTC
Created attachment 903857 [details]
state.log

Comment 4 Matthew Garrett 2014-06-09 02:33:41 UTC
Still waiting for a patch from the ARM team to add support.

Comment 5 Yaakov Selkowitz 2014-06-19 23:32:35 UTC
Doesn't build on aarch64 either.  I suggest to ExcludeArch both.

Comment 6 Yaakov Selkowitz 2014-06-19 23:33:03 UTC
Created attachment 910592 [details]
Patch for rawhide

Comment 7 Dennis Gilmore 2014-06-23 16:00:47 UTC
I am really not sure this package makes sense on any arch except x86

Comment 8 Dennis Gilmore 2014-06-24 15:13:44 UTC
I pulled in a patch from Debian to fix the ftbfs

Comment 9 Yaakov Selkowitz 2014-06-24 17:16:42 UTC
aarch64 still needs to be ExcludeArch'd due to missing <sys/io.h>.


Note You need to log in before you can comment on or make changes to this bug.